import React, { Component } from 'react'
import 'jquery';
import 'jquery-ui';

import "@infragistics/ignite-ui-full/en/js/infragistics.core.js"
import "@infragistics/ignite-ui-full/en/js/infragistics.lob.js"
import "@infragistics/ignite-ui-full/en/js/infragistics.dv.js"

import IgDataChart from "igniteui-react/ui/igDataChart.js";
import IgGrid from "igniteui-react/ui/igGrid.js";
import IgSparkline from "igniteui-react/ui/igSparkline.js";

export default class Graphic extends Component {
  render() {

    let data2 = this.props.data1;
    // .slice(this.props.data1.length-6,this.props.data1.length-1); 
    let series= [
        // {
        //     name: "data1",
        //     type: "spline",
        //     dataSource:this.props.data1,
        //     title: "data1",
        //     xAxis: "NameAxis",
        //     yAxis: "PopulationAxis1",
        //     valueMemberPath: "y",
        //     isTransitionInEnabled: true,
        //     isHighlightingEnabled: true,
        //     thickness: 1
        //  }
        // ,
        {
            name: "data2",
            type: "spline",
            
            title: "1995",
            xAxis: "NameAxis",
            yAxis: "PopulationAxis2",
            valueMemberPath: "value",
            isTransitionInEnabled: true,
            isHighlightingEnabled: true,
            thickness: 5
        }
        ];
      let axes= [
        {
            name: "NameAxis",
            type: "categoryX",
            label: "time",

            dataSource:this.props.data1
        },
        // {
        //     name: "PopulationAxis1",
        //     type: "numericY",
        //     title: "Millions of People1",
        // },
        {
          name: "PopulationAxis2",
          type: "numericY",
          title: "Millions of People2",
        }
      ];

      let columns = [{
        // note: if primaryKey is set and data in primary column contains numbers,
        // then the dataType: "number" is required, otherwise, dataSource may misbehave
        headerText: "ID", key: "x", dataType: "number"
    },
    {
        headerText: "Value", key: "y", dataType: "number"
    }
    ];
  
    let features= [
      // {
      //     name: "Responsive",
      //     enableVerticalRendering: false,
      //     columnSettings: [
      //         {
      //             columnKey: "x",
      //             classes: "ui-hidden-tablet ui-hidden-phone"
      //         },
      //         {
      //             columnKey: "y",
      //             classes: "ui-hidden-phone"
      //         }
      //     ]
      // },
      {
          name: "Selection",
          mode: "row",
          multipleSelection: true
      },
      { name: "Resizing" },
      {
          name: "Filtering"
      }
  ];

    return (
      <div>
            <IgDataChart id="chart" width={400}  title="Population per Country" axes={axes} series={series} dataSource={this.props.data1}/>
            {/* <IgSparkline id="spark" dataSource={this.props.data1} height={100} width={400}  valueMemberPath= 'y'   tooltipTemplate="tooltip"/>
            <IgGrid id="grid" columns={columns}  dataSource= {this.props.data1}   dataSourceType= "json" features={features}   
            autoGenerateColumns= {false}   renderCheckboxes={true} width={400}/> */}
      </div>
    )
  }
}
